<?xml version="1.0" encoding="windows-1251" ?> 

<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

	<xsl:key name="dates" match="/news/item" use="@date"/>

	<xsl:template match="/news">

	<xsl:variable name="unique_date"
		select="/news
				/item[generate-id(.)=
					generate-id(key('dates', @date))]
				/@date"
	/>

		<dl>
		<xsl:for-each select="$unique_date">
			<dt><xsl:value-of select="."/></dt>
				<dd>
				<xsl:for-each select="key('dates', .)">
					<b><xsl:value-of select="@title" /></b><br/>
					<xsl:value-of select="." /><p/>
				</xsl:for-each>
				</dd>
		</xsl:for-each>
		</dl>
	</xsl:template>

</xsl:stylesheet>
